Transmission doesn't start for for error while loading shared libraries

Asked by Vincenzo on 2020-04-05

Ciao, I'm using Ubuntu 18.04 and Transmission app doesn't start by clicking on the icon (it seems loading up in the first seconds but then crash). So I launched it in the terminal and I got the following error message:
"transmission-gtk: error while loading shared libraries: libminiupnpc.so.10: cannot open shared object file: No such file or directory"

I also read the similar discussion reported in question #213860 (https://answers.launchpad.net/ubuntu/+source/transmission/+question/213860) but with the solution explained here I'm not able to solve my problem.

Could you please help me and give some suggestion ?

Thank you.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu transmission Edit question
Assignee:
No assignee Edit question
Solved by:
Vincenzo
Solved:
2020-04-06
Last query:
2020-04-06
Last reply:
2020-04-06
Manfred Hampl (m-hampl) said : #1

For diagnostic purposes please provide the output that you receive for the commands (to be executed in a terminal window):

uname -a
lsb_release -crid
sudo dpkg --audit
apt-cache policy transmission transmission-gtk libminiupnpc10

Vincenzo (vds89) said : #2

Here below you can find the output of the commands:

pcvincenzo@pcvincenzo:~ $ uname -a
Linux pcvincenzo 4.15.0-91-generic #92-Ubuntu SMP Fri Feb 28 11:09:48 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

pcvincenzo@pcvincenzo:~ $ lsb_release -crid
Distributor ID: Ubuntu
Description: Ubuntu 18.04.4 LTS
Release: 18.04
Codename: bionic

pcvincenzo@pcvincenzo:~ $ sudo dpkg --audit
No output

pcvincenzo@pcvincenzo:~ $ apt-cache policy transmission transmission-gtk libminiupnpc10
transmission:
  Installato: (nessuno)
  Candidato: 2.94-1ubuntu1~18.04.1
  Tabella versione:
     2.94-1ubuntu1~18.04.1 500
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main amd64 Packages
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main i386 Packages
     2.92-3ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu bionic/universe i386 Packages
transmission-gtk:
  Installato: 2.94-1ubuntu1~18.04.1
  Candidato: 2.94-1ubuntu1~18.04.1
  Tabella versione:
 *** 2.94-1ubuntu1~18.04.1 500
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
     2.92-3ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
libminiupnpc10:
  Installato: 1.9.20140610-4ubuntu2
  Candidato: 1.9.20140610-4ubuntu2
  Tabella versione:
 *** 1.9.20140610-4ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Manfred Hampl (m-hampl) said : #3

You are using a version of transmission from a PPA which is outside the responsibility of Ubuntu and canonical.

Please ask the provider of the PPA if you have problems with software from there.
In you case see https://launchpad.net/~transmissionbt/+archive/ubuntu/ppa

Vincenzo (vds89) said : #4

I did the following steps:

1.sudo add-apt-repository --remove ppa:transmissionbt/ppa
2.sudo apt-get update
3.sudo apt-get autoremove --purge transmission*
4.sudo apt-get purge $(dpkg -l | awk '/^rc/ { print $2 }')
5.sudo updatedb
6.sudo add-apt-repository ppa:transmissionbt/ppa
7.sudo apt-get update
8.sudo apt install transmission-gtk

and from I have always the same error: transmission-gtk: error while loading shared libraries: libminiupnpc.so.10: cannot open shared object file: No such file or directory

Here below you can find what I have installed right now on the machine and should be everything from the original ppa:

pcvincenzo@pcvincenzo:~ $ apt-cache policy transmission transmission-gtk libminiupnpc10
transmission:
  Installato: 2.94-1ubuntu1~18.04.1
  Candidato: 2.94-1ubuntu1~18.04.1
  Tabella versione:
 *** 2.94-1ubuntu1~18.04.1 500
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main amd64 Packages
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main i386 Packages
        100 /var/lib/dpkg/status
     2.92-3ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu bionic/universe i386 Packages
transmission-gtk:
  Installato: 2.94-1ubuntu1~18.04.1
  Candidato: 2.94-1ubuntu1~18.04.1
  Tabella versione:
 *** 2.94-1ubuntu1~18.04.1 500
        500 http://ppa.launchpad.net/transmissionbt/ppa/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
     2.92-3ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
libminiupnpc10:
  Installato: 1.9.20140610-4ubuntu2
  Candidato: 1.9.20140610-4ubuntu2
  Tabella versione:
 *** 1.9.20140610-4ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Manfred Hampl (m-hampl) said : #5

You are misunderstanding the concept of official repositories and PPAs (Personal Package Archives).

There are the official repositories maintained by Ubuntu (e.g. http://archive.ubuntu.com/ubuntu)
And there are PPAs (Personal Package Archives) provided by somebody else (all those starting with http://ppa.launchpad.net/)

The version that you have installed, and which does not work, comes from a PPA and not from the official Ubuntu repositories.
Please ask there!

I assume that you revert to the official Ubuntu version, if you repeat the steps that you executed, but leaving out step number 6

After you remove the PPA I suggest you remove the configuration folder for Transmission.

Why are you so hell bent on using the PPA? What is in the newer version that you need so very badly?

Vincenzo (vds89) said : #7

There are no configuration folder for Transmission in ~/.application, ~/.config/application, ~/.cache/application nor in ~/.local/share/application. Nada.

I'm just trying to install Transmission in some way but it seems that I'm not able to do it in any way. I know that this application is a native Ubuntu application but in my laptop doesn't work.

Transmission is in the default Ubuntu repositories. No additional sources are required. Just search in the software centre and install it

Vincenzo (vds89) said : #9

First trial was to install it with official SW center clearly. Always the same problem then I started to investigate different solution and now I 'm here asking for some help.

What is the output of:

sudo updatedb; locate libminiupnpc*

If this is still an issue.

Try:

sudo apt install ibminiupnpc-dev

sudo ln -s /usr/lib/x86_64-linux-gnu/libminiupnpc.so /usr/lib/x86_64-linux-gnu/libminiupnpc.so.10

Manfred Hampl (m-hampl) said : #12

What is the output of the command

ldd /usr/bin/transmission-gtk

Vincenzo (vds89) said : #13

Here the output of ldd /usr/bin/transmission-gtk command. As you can see there is this line "libminiupnpc.so.10 => not found" that seems to be the problem.

@actionparsnip: I also tried your solution, but it doesn't solve the problem.

pcvincenzo@pcvincenzo:~ $ ldd /usr/bin/transmission-gtk
 linux-vdso.so.1 (0x00007ffc7896e000)
 libminiupnpc.so.10 => not found
 libnatpmp.so.1 => not found
 librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fbdcea76000)
 libappindicator3.so.1 => /usr/lib/x86_64-linux-gnu/libappindicator3.so.1 (0x00007fbdce869000)
 libgtk-3.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-3.so.0 (0x00007fbdcdf61000)
 libgdk-3.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-3.so.0 (0x00007fbdcdc6b000)
 libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007fbdcda1e000)
 libgdk_pixbuf-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007fbdcd7fa000)
 libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007fbdcd45b000)
 libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007fbdcd207000)
 libglib-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fbdccef0000)
 libevent-2.1.so.6 => /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6 (0x00007fbdccc9f000)
 libcurl-gnutls.so.4 => /usr/lib/x86_64-linux-gnu/libcurl-gnutls.so.4 (0x00007fbdcca22000)
 libcrypto.so.1.1 => /usr/local/lib/libcrypto.so.1.1 (0x00007fbdcc530000)
 libz.so.1 => /usr/local/lib/libz.so.1 (0x00007fbdcc312000)
 libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fbdcbf74000)
 libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fbdcbd55000)
 libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fbdcb964000)
 libindicator3.so.7 => /usr/lib/x86_64-linux-gnu/libindicator3.so.7 (0x00007fbdcb752000)
 libdbusmenu-gtk3.so.4 => /usr/lib/x86_64-linux-gnu/libdbusmenu-gtk3.so.4 (0x00007fbdcb53e000)
 libdbusmenu-glib.so.4 => /usr/lib/x86_64-linux-gnu/libdbusmenu-glib.so.4 (0x00007fbdcb322000)
 libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007fbdcb11e000)
 libpangocairo-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007fbdcaf11000)
 libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fbdcabd9000)
 libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007fbdca9c9000)
 libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007fbdca7c3000)
 libcairo-gobject.so.2 => /usr/lib/x86_64-linux-gnu/libcairo-gobject.so.2 (0x00007fbdca5ba000)
 libcairo.so.2 => /usr/lib/x86_64-linux-gnu/libcairo.so.2 (0x00007fbdca29d000)
 libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007fbdca077000)
 libatk-bridge-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-bridge-2.0.so.0 (0x00007fbdc9e46000)
 libepoxy.so.0 => /usr/lib/x86_64-linux-gnu/libepoxy.so.0 (0x00007fbdc9b45000)
 libpangoft2-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007fbdc992f000)
 libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007fbdc96ea000)
 libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007fbdc94e7000)
 libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007fbdc92dc000)
 libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007fbdc90d2000)
 libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007fbdc8ecf000)
 libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007fbdc8ccc000)
 libxkbcommon.so.0 => /usr/lib/x86_64-linux-gnu/libxkbcommon.so.0 (0x00007fbdc8a8d000)
 libwayland-cursor.so.0 => /usr/lib/x86_64-linux-gnu/libwayland-cursor.so.0 (0x00007fbdc8885000)
 libwayland-egl.so.1 => /usr/lib/x86_64-linux-gnu/libwayland-egl.so.1 (0x00007fbdc8683000)
 libwayland-client.so.0 => /usr/lib/x86_64-linux-gnu/libwayland-client.so.0 (0x00007fbdc8474000)
 libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fbdc8262000)
 libthai.so.0 => /usr/lib/x86_64-linux-gnu/libthai.so.0 (0x00007fbdc8059000)
 libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007fbdc7e31000)
 libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007fbdc7c16000)
 libmount.so.1 => /lib/x86_64-linux-gnu/libmount.so.1 (0x00007fbdc79c2000)
 libffi.so.6 => /usr/lib/x86_64-linux-gnu/libffi.so.6 (0x00007fbdc77ba000)
 libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fbdc7548000)
 libnghttp2.so.14 => /usr/lib/x86_64-linux-gnu/libnghttp2.so.14 (0x00007fbdc7323000)
 libidn2.so.0 => /usr/lib/x86_64-linux-gnu/libidn2.so.0 (0x00007fbdc7106000)
 librtmp.so.1 => /usr/lib/x86_64-linux-gnu/librtmp.so.1 (0x00007fbdc6eea000)
 libpsl.so.5 => /usr/lib/x86_64-linux-gnu/libpsl.so.5 (0x00007fbdc6cdc000)
 libnettle.so.6 => /usr/lib/x86_64-linux-gnu/libnettle.so.6 (0x00007fbdc6aa6000)
 libgnutls.so.30 => /usr/lib/x86_64-linux-gnu/libgnutls.so.30 (0x00007fbdc6740000)
 libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2 (0x00007fbdc64f5000)
 libldap_r-2.4.so.2 => /usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2 (0x00007fbdc62a3000)
 liblber-2.4.so.2 => /usr/lib/x86_64-linux-gnu/liblber-2.4.so.2 (0x00007fbdc6095000)
 libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fbdc5e91000)
 /lib64/ld-linux-x86-64.so.2 (0x00007fbdcef4a000)
 libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007fbdc5bdd000)
 libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fbdc59b5000)
 libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007fbdc5710000)
 libpng16.so.16 => /usr/lib/x86_64-linux-gnu/libpng16.so.16 (0x00007fbdc54de000)
 libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007fbdc52db000)
 libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007fbdc50ce000)
 libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007fbdc4ec4000)
 libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007fbdc4c77000)
 libatspi.so.0 => /usr/lib/x86_64-linux-gnu/libatspi.so.0 (0x00007fbdc4a47000)
 libharfbuzz.so.0 => /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007fbdc47a9000)
 libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fbdc4577000)
 libdatrie.so.1 => /usr/lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007fbdc4370000)
 libblkid.so.1 => /lib/x86_64-linux-gnu/libblkid.so.1 (0x00007fbdc4123000)
 libunistring.so.2 => /usr/lib/x86_64-linux-gnu/libunistring.so.2 (0x00007fbdc3da5000)
 libhogweed.so.4 => /usr/lib/x86_64-linux-gnu/libhogweed.so.4 (0x00007fbdc3b71000)
 libgmp.so.10 => /usr/lib/x86_64-linux-gnu/libgmp.so.10 (0x00007fbdc38f0000)
 libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0 (0x00007fbdc35c1000)
 libtasn1.so.6 => /usr/lib/x86_64-linux-gnu/libtasn1.so.6 (0x00007fbdc33ae000)
 libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007fbdc30d8000)
 libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3 (0x00007fbdc2ea6000)
 libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007fbdc2ca2000)
 libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0 (0x00007fbdc2a97000)
 libsasl2.so.2 => /usr/lib/x86_64-linux-gnu/libsasl2.so.2 (0x00007fbdc287c000)
 libgssapi.so.3 => /usr/lib/x86_64-linux-gnu/libgssapi.so.3 (0x00007fbdc263b000)
 libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fbdc2437000)
 libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fbdc2231000)
 libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007fbdc1fad000)
 libgraphite2.so.3 => /usr/lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007fbdc1d80000)
 libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007fbdc1b79000)
 libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007fbdc1975000)
 libheimntlm.so.0 => /usr/lib/x86_64-linux-gnu/libheimntlm.so.0 (0x00007fbdc176c000)
 libkrb5.so.26 => /usr/lib/x86_64-linux-gnu/libkrb5.so.26 (0x00007fbdc14df000)
 libasn1.so.8 => /usr/lib/x86_64-linux-gnu/libasn1.so.8 (0x00007fbdc123d000)
 libhcrypto.so.4 => /usr/lib/x86_64-linux-gnu/libhcrypto.so.4 (0x00007fbdc1007000)
 libroken.so.18 => /usr/lib/x86_64-linux-gnu/libroken.so.18 (0x00007fbdc0df1000)
 libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007fbdc0bdc000)
 liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007fbdc09b6000)
 liblz4.so.1 => /usr/lib/x86_64-linux-gnu/liblz4.so.1 (0x00007fbdc079a000)
 libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007fbdc047e000)
 libwind.so.0 => /usr/lib/x86_64-linux-gnu/libwind.so.0 (0x00007fbdc0255000)
 libheimbase.so.1 => /usr/lib/x86_64-linux-gnu/libheimbase.so.1 (0x00007fbdc0046000)
 libhx509.so.5 => /usr/lib/x86_64-linux-gnu/libhx509.so.5 (0x00007fbdbfdfc000)
 libsqlite3.so.0 => /usr/lib/x86_64-linux-gnu/libsqlite3.so.0 (0x00007fbdbfaf3000)
 libcrypt.so.1 => /lib/x86_64-linux-gnu/libcrypt.so.1 (0x00007fbdbf8bb000)
 libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007fbdbf6a6000)

You'll also need libnatpmp.so.1

Vincenzo (vds89) said : #15

Looking at the command "apt-cache policy transmission transmission-gtk libminiupnpc10" seems that libminiupnpc10 and libnatpmp1 are already installed (see below) but not in the right location.

How and where I should install/move/link these 2 libraries in the right location?

libminiupnpc10:
  Installato: 1.9.20140610-4ubuntu2
  Candidato: 1.9.20140610-4ubuntu2
  Tabella versione:
 *** 1.9.20140610-4ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status
libnatpmp1:
  Installato: 20150609-2
  Candidato: 20150609-2
  Tabella versione:
 *** 20150609-2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
        100 /var/lib/dpkg/status

Manfred Hampl (m-hampl) said : #16

What output do you receive for the following commands

sudo apt install --reinstall libminiupnpc10 libnatpmp1

and then again

ldd /usr/bin/transmission-gtk

Vincenzo (vds89) said : #17

Here it is! Finally reinstalling these 2 libraries everything now work ok and Transmission starts correctly.
Thank you very much for your support! Very useful !

pcvincenzo@pcvincenzo:~ $ sudo apt install --reinstall libminiupnpc10 libnatpmp1Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 2 reinstallati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 31,7 kB di archivi.
Dopo quest'operazione, verranno occupati 0 B di spazio su disco.
Scaricamento di:1 http://archive.ubuntu.com/ubuntu bionic/main amd64 libminiupnpc10 amd64 1.9.20140610-4ubuntu2 [24,1 kB]
Scaricamento di:2 http://archive.ubuntu.com/ubuntu bionic/main amd64 libnatpmp1 amd64 20150609-2 [7.612 B]
Recuperati 31,7 kB in 1s (58,9 kB/s)
(Lettura del database... 276740 file e directory attualmente installati.)
Preparativi per estrarre .../libminiupnpc10_1.9.20140610-4ubuntu2_amd64.deb...
Estrazione di libminiupnpc10:amd64 (1.9.20140610-4ubuntu2) su (1.9.20140610-4ubuntu2)...
Preparativi per estrarre .../libnatpmp1_20150609-2_amd64.deb...
Estrazione di libnatpmp1 (20150609-2) su (20150609-2)...
Configurazione di libminiupnpc10:amd64 (1.9.20140610-4ubuntu2)...
Configurazione di libnatpmp1 (20150609-2)...
Elaborazione dei trigger per libc-bin (2.27-3ubuntu1)...

and then:
pcvincenzo@pcvincenzo:~ $ ldd /usr/bin/transmission-gtk
 linux-vdso.so.1 (0x00007ffce958d000)
 libminiupnpc.so.10 => /usr/lib/x86_64-linux-gnu/libminiupnpc.so.10 (0x00007f7aaf6c3000)
 libnatpmp.so.1 => /usr/lib/libnatpmp.so.1 (0x00007f7aaf4c0000)